﻿package 
{
	import flash.display.Loader;
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.ProgressEvent;
	import flash.net.URLRequest;
	//import wang.events.EasyMenuEvent;
	//import wang.utils.EasyMenu;
	
	/**
	 * ...
	 * @author Jason
	 */
	public class main extends MovieClip 
	{
		private var loading:MovieClip;
		private var loader:Loader;
		private var channelContainer:MovieClip;
		
		public function main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private var lastMenu:MovieClip;
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			initMenu();
			loading = this.getChildByName("Loading_mc") as MovieClip;
			loading.visible = false;
			channelContainer = this.getChildByName("empty") as MovieClip;
			loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.OPEN, onLoadStart);
			loader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, onLoadProgress);
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, onLoadComplete);
			loadNewChannel(1);
			// entry point
		}
		
		private function initMenu():void 
		{
			for (var i:int = 1; i < 10; i++) 
			{
				var mc:MovieClip = this.getChildByName("menu" + i) as MovieClip;
				if (i == 1) {
					mc.nextFrame();
					lastMenu = mc;
				}
				mc.stop();
				mc.ID = i;
				mc.mouseChildren = false;
				mc.buttonMode = true;
				mc.addEventListener(MouseEvent.CLICK, onMenuClick);
			}
			
		}
		private function onLoadComplete(e:Event):void 
		{
			//trace(loader.content)
			loading.visible = false;
			channelContainer.addChild(loader);
		}
		
		private function onLoadProgress(e:ProgressEvent):void 
		{
			
		}
		
		private function onLoadStart(e:Event = null):void 
		{
			loading.visible = true;
			while (channelContainer.numChildren) {
				channelContainer.removeChildAt(0);
			}
		}
		public function onMenuClick(e:Event):void 
		{
			if (lastMenu) {
				lastMenu.prevFrame();
			}
			lastMenu = e.currentTarget as MovieClip;
			lastMenu.nextFrame();
			loadNewChannel(e.currentTarget.ID);
		}
		private function loadNewChannel(n:int):void
		{
			loader.load(new URLRequest("page"+n+".swf"));
		}
	}
	
}